Commit 870d0f87 authored by Egbert Eich's avatar Egbert Eich

621. Let kbd driver test if Xserver is in suspend before handling any input

    events (Egbert Eich).
620. Fixed agp version checking to accept minor versions >= the specified
    number (Leif Delgass).
parent 7827fce0
......@@ -120,9 +120,16 @@ GARTInit()
KdReleaseGART(-1);
#if defined(linux)
/* Should this look for version >= rather than version == ? */
if (agpinf.version.major != AGPGART_MAJOR_VERSION &&
agpinf.version.minor != AGPGART_MINOR_VERSION) {
/* Per Dave Jones, every effort will be made to keep the
* agpgart interface backwards compatible, so allow all
* future versions.
*/
if (
#if (AGPGART_MAJOR_VERSION > 0) /* quiet compiler */
agpinf.version.major < AGPGART_MAJOR_VERSION ||
#endif
(agpinf.version.major == AGPGART_MAJOR_VERSION &&
agpinf.version.minor < AGPGART_MINOR_VERSION)) {
fprintf(stderr,
"Kernel agpgart driver version is not current"
" (%d.%d vs %d.%d)\n",
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment